#ifndef SETWORKAREA_H
#define SETWORKAREA_H

#include <QWidget>
#include <QDir>
#include <QMouseEvent>
#include "promptdialog.h"
#include "mybutton.h"
#include "setcontrolstyle.h"
//#include "Include/datafiledst.h"
#include "datafile/datafiledst.h"
#include "datafile/datafiledsr.h"
#include "mctype/mainwidgetfunction.h"
#include <QDateTime>
namespace Ui {
class SetWorkArea;
}

class SetWorkArea : public QWidget
{
    Q_OBJECT

public:
    explicit SetWorkArea(QWidget *parent = 0);
    ~SetWorkArea();

private slots:
    void on_buttonCancel_clicked();
    void on_buttonOk_clicked();
    void on_buttonX1_clicked();
    void on_buttonY1_clicked();
    void on_buttonY2_clicked();
    void on_buttonX2_clicked();

private:
    Ui::SetWorkArea *ui;

private:
    int m_area;
    int m_headValue;

    QString buttonStyle1;
    QString buttonStyle2;
private:
    void initWidget();
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();//初始化窗体控件为1024x600分辨率
    void initControlStyle();//初始化窗体控件样式
    void initArabControlPos();//设置阿拉伯语时控件对齐方式

public:
     inline int getArea(){return m_area;}
     void setHead(int m_head);
     void setTitleStr(QString str);//设置标题
     void show();
};

#endif // SETWORKAREA_H
